USE [master]
GO
/****** Object:  Database [SGPM]    Script Date: 05/27/2012 11:28:19 ******/
CREATE DATABASE [SGPM] 
GO
USE [SGPM]
GO
/****** Object:  Table [dbo].[EstadoOrden]    Script Date: 06/13/2012 14:20:07 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
CREATE TABLE [dbo].[EstadoOrden](
	[IdEstado] [int] NOT NULL,
	[Nombre] [varchar](50) NOT NULL,
 CONSTRAINT [PK_EstadoOrden] PRIMARY KEY CLUSTERED 
(
	[IdEstado] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
SET ANSI_PADDING OFF
GO
INSERT [dbo].[EstadoOrden] ([IdEstado], [Nombre]) VALUES (1, N'Registrada')
INSERT [dbo].[EstadoOrden] ([IdEstado], [Nombre]) VALUES (2, N'Asignada')
INSERT [dbo].[EstadoOrden] ([IdEstado], [Nombre]) VALUES (3, N'Descargada')
INSERT [dbo].[EstadoOrden] ([IdEstado], [Nombre]) VALUES (4, N'Cerrada')
/****** Object:  Table [dbo].[Cliente]    Script Date: 06/13/2012 14:20:07 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
CREATE TABLE [dbo].[Cliente](
	[IdCliente] [int] IDENTITY(1,1) NOT NULL,
	[Nombre] [varchar](50) NOT NULL,
	[Apellidos] [varchar](50) NULL,
	[Telefono] [varchar](10) NULL,
	[FechaAlta] [datetime] NOT NULL,
	[UAlta] [int] NOT NULL,
	[FechaBaja] [datetime] NULL,
	[UBaja] [int] NULL,
 CONSTRAINT [PK_Cliente] PRIMARY KEY CLUSTERED 
(
	[IdCliente] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
SET ANSI_PADDING OFF
GO
SET IDENTITY_INSERT [dbo].[Cliente] ON
INSERT [dbo].[Cliente] ([IdCliente], [Nombre], [Apellidos], [Telefono], [FechaAlta], [UAlta], [FechaBaja], [UBaja]) VALUES (1, N'Arturo', N'Rodriguez', N'911234567', CAST(0x0000A04A00000000 AS DateTime), 1, NULL, NULL)
INSERT [dbo].[Cliente] ([IdCliente], [Nombre], [Apellidos], [Telefono], [FechaAlta], [UAlta], [FechaBaja], [UBaja]) VALUES (2, N'Benito', N'Macdonald', N'918765432', CAST(0x0000A04A00000000 AS DateTime), 1, NULL, NULL)
INSERT [dbo].[Cliente] ([IdCliente], [Nombre], [Apellidos], [Telefono], [FechaAlta], [UAlta], [FechaBaja], [UBaja]) VALUES (3, N'Francesco', N'Tello', N'915623495', CAST(0x0000A04A00000000 AS DateTime), 1, NULL, NULL)
INSERT [dbo].[Cliente] ([IdCliente], [Nombre], [Apellidos], [Telefono], [FechaAlta], [UAlta], [FechaBaja], [UBaja]) VALUES (4, N'Victor', N'Oro', N'919123456', CAST(0x0000A04A00000000 AS DateTime), 1, NULL, NULL)
INSERT [dbo].[Cliente] ([IdCliente], [Nombre], [Apellidos], [Telefono], [FechaAlta], [UAlta], [FechaBaja], [UBaja]) VALUES (5, N'Ruperto', N'King', N'911234567', CAST(0x0000A05B00000000 AS DateTime), 1, CAST(0x0000A05B00000000 AS DateTime), 1)
SET IDENTITY_INSERT [dbo].[Cliente] OFF
/****** Object:  Table [dbo].[Usuario]    Script Date: 06/13/2012 14:20:07 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
CREATE TABLE [dbo].[Usuario](
	[IdUsuario] [int] IDENTITY(1,1) NOT NULL,
	[Login] [varchar](8) NOT NULL,
	[Password] [varchar](10) NOT NULL,
	[FechaAlta] [datetime] NOT NULL,
	[UAlta] [int] NOT NULL,
	[FechaBaja] [datetime] NULL,
	[UBaja] [int] NULL,
	[Nombre] [varchar](50) NULL,
	[Apellidos] [varchar](100) NULL,
	[Tipo] [int] NOT NULL,
	[SubscriptionURI] [varchar](255) NULL,
 CONSTRAINT [PK_Usuario] PRIMARY KEY CLUSTERED 
(
	[IdUsuario] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
SET ANSI_PADDING OFF
GO
CREATE UNIQUE NONCLUSTERED INDEX [UK_Usuario] ON [dbo].[Usuario] 
(
	[Login] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, SORT_IN_TEMPDB = OFF, IGNORE_DUP_KEY = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
GO
SET IDENTITY_INSERT [dbo].[Usuario] ON
INSERT [dbo].[Usuario] ([IdUsuario], [Login], [Password], [FechaAlta], [UAlta], [FechaBaja], [UBaja], [Nombre], [Apellidos], [Tipo], [SubscriptionURI]) VALUES (1, N'luis', N'1234', CAST(0x00009FEA00000000 AS DateTime), 1, NULL, NULL, N'Luis', N'Rodriguez', 1, NULL)
INSERT [dbo].[Usuario] ([IdUsuario], [Login], [Password], [FechaAlta], [UAlta], [FechaBaja], [UBaja], [Nombre], [Apellidos], [Tipo], [SubscriptionURI]) VALUES (2, N'gestor', N'1111', CAST(0x0000A00700000000 AS DateTime), 1, NULL, 1, N'Oscar', N'Perez', 1, NULL)
INSERT [dbo].[Usuario] ([IdUsuario], [Login], [Password], [FechaAlta], [UAlta], [FechaBaja], [UBaja], [Nombre], [Apellidos], [Tipo], [SubscriptionURI]) VALUES (3, N'perito', N'1111', CAST(0x0000A00C00000000 AS DateTime), 1, NULL, NULL, N'Perito', N'Chisbert', 2, N'http://db3.notify.live.net/throttledthirdparty/01.00/AAHNFvo7hG9SRZCuHT4YpwMUAgAAAAADAQAAAAQUZm52OjIzOEQ2NDJDRkI5MEVFMEQ')
INSERT [dbo].[Usuario] ([IdUsuario], [Login], [Password], [FechaAlta], [UAlta], [FechaBaja], [UBaja], [Nombre], [Apellidos], [Tipo], [SubscriptionURI]) VALUES (4, N'rodolfo', N'1234', CAST(0x0000A04D00000000 AS DateTime), 1, CAST(0x0000A04D00000000 AS DateTime), 1, N'Rodolfo', N'Valentino', 1, NULL)
INSERT [dbo].[Usuario] ([IdUsuario], [Login], [Password], [FechaAlta], [UAlta], [FechaBaja], [UBaja], [Nombre], [Apellidos], [Tipo], [SubscriptionURI]) VALUES (5, N'abu', N'1234', CAST(0x0000A04D00000000 AS DateTime), 1, NULL, NULL, N'Abu', N'Simbell', 2, NULL)
INSERT [dbo].[Usuario] ([IdUsuario], [Login], [Password], [FechaAlta], [UAlta], [FechaBaja], [UBaja], [Nombre], [Apellidos], [Tipo], [SubscriptionURI]) VALUES (6, N'ramon3', N'1234', CAST(0x0000A04D00000000 AS DateTime), 1, CAST(0x0000A05B00000000 AS DateTime), 1, N'Ramn1', N'Nomar2', 1, NULL)
INSERT [dbo].[Usuario] ([IdUsuario], [Login], [Password], [FechaAlta], [UAlta], [FechaBaja], [UBaja], [Nombre], [Apellidos], [Tipo], [SubscriptionURI]) VALUES (7, N'keops', N'1234', CAST(0x0000A05B00000000 AS DateTime), 1, NULL, NULL, N'Keops', N'Kefren', 1, NULL)
INSERT [dbo].[Usuario] ([IdUsuario], [Login], [Password], [FechaAlta], [UAlta], [FechaBaja], [UBaja], [Nombre], [Apellidos], [Tipo], [SubscriptionURI]) VALUES (8, N'luis2', N'luis', CAST(0x0000A06E00000000 AS DateTime), 1, CAST(0x0000A06E00000000 AS DateTime), 1, N'luis2', N'luis2', 1, NULL)
SET IDENTITY_INSERT [dbo].[Usuario] OFF
/****** Object:  Table [dbo].[TipoSiniestro]    Script Date: 06/13/2012 14:20:07 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
CREATE TABLE [dbo].[TipoSiniestro](
	[IdTipoSiniestro] [int] NOT NULL,
	[Nombre] [varchar](50) NOT NULL,
 CONSTRAINT [PK_TipoSiniestro] PRIMARY KEY CLUSTERED 
(
	[IdTipoSiniestro] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
SET ANSI_PADDING OFF
GO
INSERT [dbo].[TipoSiniestro] ([IdTipoSiniestro], [Nombre]) VALUES (1, N'Albailera')
INSERT [dbo].[TipoSiniestro] ([IdTipoSiniestro], [Nombre]) VALUES (2, N'Carpintera')
INSERT [dbo].[TipoSiniestro] ([IdTipoSiniestro], [Nombre]) VALUES (3, N'Electricidad')
INSERT [dbo].[TipoSiniestro] ([IdTipoSiniestro], [Nombre]) VALUES (4, N'Fontanera')
/****** Object:  Table [dbo].[Provincia]    Script Date: 06/13/2012 14:20:07 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
CREATE TABLE [dbo].[Provincia](
	[IdProvincia] [int] IDENTITY(1,1) NOT NULL,
	[Nombre] [varchar](100) NOT NULL,
 CONSTRAINT [PK_Provincia] PRIMARY KEY CLUSTERED 
(
	[IdProvincia] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
SET ANSI_PADDING OFF
GO
SET IDENTITY_INSERT [dbo].[Provincia] ON
INSERT [dbo].[Provincia] ([IdProvincia], [Nombre]) VALUES (1, N'Madrid')
INSERT [dbo].[Provincia] ([IdProvincia], [Nombre]) VALUES (2, N'Valencia')
INSERT [dbo].[Provincia] ([IdProvincia], [Nombre]) VALUES (3, N'Zamora')
SET IDENTITY_INSERT [dbo].[Provincia] OFF
/****** Object:  View [dbo].[PeritoPhone]    Script Date: 06/13/2012 14:20:08 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE VIEW [dbo].[PeritoPhone]
AS
SELECT TOP (100) PERCENT
	IdUsuario AS IdPerito,
	Nombre,
	Apellidos,
	Login,
	Password
FROM         dbo.Usuario
WHERE
	Usuario.Tipo=2 --Perito
	AND FechaBaja is null
GO
/****** Object:  Table [dbo].[Propiedad]    Script Date: 06/13/2012 14:20:08 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
CREATE TABLE [dbo].[Propiedad](
	[IdPropiedad] [int] IDENTITY(1,1) NOT NULL,
	[IdCliente] [int] NOT NULL,
	[Calle] [varchar](50) NOT NULL,
	[Numero] [int] NULL,
	[Piso] [int] NULL,
	[Letra] [varchar](3) NULL,
	[CP] [varchar](5) NOT NULL,
	[Localidad] [varchar](50) NOT NULL,
	[FechaAlta] [datetime] NOT NULL,
	[UAlta] [int] NOT NULL,
	[FechaBaja] [datetime] NULL,
	[UBaja] [int] NULL,
	[IdProvincia] [int] NOT NULL,
 CONSTRAINT [PK_Propiedad] PRIMARY KEY CLUSTERED 
(
	[IdPropiedad] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
SET ANSI_PADDING OFF
GO
CREATE NONCLUSTERED INDEX [IX_FK_Propiedad_Cliente] ON [dbo].[Propiedad] 
(
	[IdCliente] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, SORT_IN_TEMPDB = OFF, IGNORE_DUP_KEY = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
GO
CREATE NONCLUSTERED INDEX [IX_FK_Propiedad_Provincia] ON [dbo].[Propiedad] 
(
	[IdProvincia] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, SORT_IN_TEMPDB = OFF, IGNORE_DUP_KEY = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
GO
SET IDENTITY_INSERT [dbo].[Propiedad] ON
INSERT [dbo].[Propiedad] ([IdPropiedad], [IdCliente], [Calle], [Numero], [Piso], [Letra], [CP], [Localidad], [FechaAlta], [UAlta], [FechaBaja], [UBaja], [IdProvincia]) VALUES (1, 1, N'C/ El Pez', 4, 1, N'3', N'28001', N'Madrid', CAST(0x0000A04A00000000 AS DateTime), 1, NULL, NULL, 1)
INSERT [dbo].[Propiedad] ([IdPropiedad], [IdCliente], [Calle], [Numero], [Piso], [Letra], [CP], [Localidad], [FechaAlta], [UAlta], [FechaBaja], [UBaja], [IdProvincia]) VALUES (2, 1, N'C/ El Ratn', 11, 2, N'C', N'28001', N'Madrid', CAST(0x0000A04C00000000 AS DateTime), 1, NULL, NULL, 1)
INSERT [dbo].[Propiedad] ([IdPropiedad], [IdCliente], [Calle], [Numero], [Piso], [Letra], [CP], [Localidad], [FechaAlta], [UAlta], [FechaBaja], [UBaja], [IdProvincia]) VALUES (3, 4, N'C/ El avion', 1, 2, N'd', N'28001', N'Madrid', CAST(0x0000A04C00000000 AS DateTime), 1, NULL, NULL, 1)
INSERT [dbo].[Propiedad] ([IdPropiedad], [IdCliente], [Calle], [Numero], [Piso], [Letra], [CP], [Localidad], [FechaAlta], [UAlta], [FechaBaja], [UBaja], [IdProvincia]) VALUES (4, 1, N'C/ El cohete', 10, 5, N'C', N'28001', N'Madrid', CAST(0x0000A05600000000 AS DateTime), 1, NULL, NULL, 1)
INSERT [dbo].[Propiedad] ([IdPropiedad], [IdCliente], [Calle], [Numero], [Piso], [Letra], [CP], [Localidad], [FechaAlta], [UAlta], [FechaBaja], [UBaja], [IdProvincia]) VALUES (5, 4, N'C/ Villaverde', 5, 4, N'C', N'28002', N'Madrid', CAST(0x0000A05B00000000 AS DateTime), 1, NULL, NULL, 1)
INSERT [dbo].[Propiedad] ([IdPropiedad], [IdCliente], [Calle], [Numero], [Piso], [Letra], [CP], [Localidad], [FechaAlta], [UAlta], [FechaBaja], [UBaja], [IdProvincia]) VALUES (6, 4, N'C/ Barraca', 11, 2, N'A', N'28001', N'Madrid', CAST(0x0000A05B00000000 AS DateTime), 1, NULL, NULL, 1)
INSERT [dbo].[Propiedad] ([IdPropiedad], [IdCliente], [Calle], [Numero], [Piso], [Letra], [CP], [Localidad], [FechaAlta], [UAlta], [FechaBaja], [UBaja], [IdProvincia]) VALUES (7, 2, N'C/ Macburger', 9, 3, N'C', N'46102', N'Valencia', CAST(0x0000A05B00000000 AS DateTime), 1, NULL, NULL, 2)
INSERT [dbo].[Propiedad] ([IdPropiedad], [IdCliente], [Calle], [Numero], [Piso], [Letra], [CP], [Localidad], [FechaAlta], [UAlta], [FechaBaja], [UBaja], [IdProvincia]) VALUES (8, 2, N'C/ Tomate', 20, 5, N'B', N'46011', N'El Saler', CAST(0x0000A05B00000000 AS DateTime), 1, NULL, NULL, 2)
INSERT [dbo].[Propiedad] ([IdPropiedad], [IdCliente], [Calle], [Numero], [Piso], [Letra], [CP], [Localidad], [FechaAlta], [UAlta], [FechaBaja], [UBaja], [IdProvincia]) VALUES (9, 3, N'C/ Collares', 6, 1, N'A', N'49500', N'Zamora', CAST(0x0000A05B00000000 AS DateTime), 1, NULL, NULL, 3)
INSERT [dbo].[Propiedad] ([IdPropiedad], [IdCliente], [Calle], [Numero], [Piso], [Letra], [CP], [Localidad], [FechaAlta], [UAlta], [FechaBaja], [UBaja], [IdProvincia]) VALUES (10, 3, N'C/ Las perlas', 2, 4, N'C', N'49500', N'Zamora', CAST(0x0000A05B00000000 AS DateTime), 1, NULL, NULL, 3)
INSERT [dbo].[Propiedad] ([IdPropiedad], [IdCliente], [Calle], [Numero], [Piso], [Letra], [CP], [Localidad], [FechaAlta], [UAlta], [FechaBaja], [UBaja], [IdProvincia]) VALUES (11, 3, N'C/ Abastos', 11, 2, N'A', N'28002', N'Madrid', CAST(0x0000A05B00000000 AS DateTime), 1, CAST(0x0000A05B00000000 AS DateTime), 1, 1)
SET IDENTITY_INSERT [dbo].[Propiedad] OFF
/****** Object:  Table [dbo].[Poliza]    Script Date: 06/13/2012 14:20:08 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
CREATE TABLE [dbo].[Poliza](
	[IdPoliza] [int] IDENTITY(1,1) NOT NULL,
	[IdPropiedad] [int] NOT NULL,
	[NPoliza] [varchar](10) NOT NULL,
	[FechaRenovacion] [datetime] NOT NULL,
	[FechaAlta] [datetime] NOT NULL,
	[UAlta] [int] NOT NULL,
	[FechaBaja] [datetime] NULL,
	[UBaja] [int] NULL,
 CONSTRAINT [PK_Poliza] PRIMARY KEY CLUSTERED 
(
	[IdPoliza] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
SET ANSI_PADDING OFF
GO
CREATE NONCLUSTERED INDEX [IX_FK_Poliza_Propiedad] ON [dbo].[Poliza] 
(
	[IdPropiedad] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, SORT_IN_TEMPDB = OFF, IGNORE_DUP_KEY = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
GO
SET IDENTITY_INSERT [dbo].[Poliza] ON
INSERT [dbo].[Poliza] ([IdPoliza], [IdPropiedad], [NPoliza], [FechaRenovacion], [FechaAlta], [UAlta], [FechaBaja], [UBaja]) VALUES (1, 1, N'1', CAST(0x0000A06100000000 AS DateTime), CAST(0x0000A04C00000000 AS DateTime), 1, NULL, NULL)
INSERT [dbo].[Poliza] ([IdPoliza], [IdPropiedad], [NPoliza], [FechaRenovacion], [FechaAlta], [UAlta], [FechaBaja], [UBaja]) VALUES (2, 2, N'2', CAST(0x0000A06200000000 AS DateTime), CAST(0x0000A04C00000000 AS DateTime), 1, NULL, NULL)
INSERT [dbo].[Poliza] ([IdPoliza], [IdPropiedad], [NPoliza], [FechaRenovacion], [FechaAlta], [UAlta], [FechaBaja], [UBaja]) VALUES (3, 4, N'1234543', CAST(0x0000A06000000000 AS DateTime), CAST(0x0000A04C00000000 AS DateTime), 1, NULL, NULL)
INSERT [dbo].[Poliza] ([IdPoliza], [IdPropiedad], [NPoliza], [FechaRenovacion], [FechaAlta], [UAlta], [FechaBaja], [UBaja]) VALUES (4, 4, N'45', CAST(0x0000A05500000000 AS DateTime), CAST(0x0000A05600000000 AS DateTime), 1, NULL, NULL)
INSERT [dbo].[Poliza] ([IdPoliza], [IdPropiedad], [NPoliza], [FechaRenovacion], [FechaAlta], [UAlta], [FechaBaja], [UBaja]) VALUES (5, 7, N'2012001', CAST(0x0000A06200000000 AS DateTime), CAST(0x0000A05B00000000 AS DateTime), 1, NULL, NULL)
INSERT [dbo].[Poliza] ([IdPoliza], [IdPropiedad], [NPoliza], [FechaRenovacion], [FechaAlta], [UAlta], [FechaBaja], [UBaja]) VALUES (6, 8, N'2012002', CAST(0x0000A09B00000000 AS DateTime), CAST(0x0000A05B00000000 AS DateTime), 1, NULL, NULL)
INSERT [dbo].[Poliza] ([IdPoliza], [IdPropiedad], [NPoliza], [FechaRenovacion], [FechaAlta], [UAlta], [FechaBaja], [UBaja]) VALUES (7, 3, N'2012003', CAST(0x0000A04600000000 AS DateTime), CAST(0x0000A05B00000000 AS DateTime), 1, NULL, NULL)
INSERT [dbo].[Poliza] ([IdPoliza], [IdPropiedad], [NPoliza], [FechaRenovacion], [FechaAlta], [UAlta], [FechaBaja], [UBaja]) VALUES (8, 5, N'2012010', CAST(0x0000A05800000000 AS DateTime), CAST(0x0000A05B00000000 AS DateTime), 1, NULL, NULL)
INSERT [dbo].[Poliza] ([IdPoliza], [IdPropiedad], [NPoliza], [FechaRenovacion], [FechaAlta], [UAlta], [FechaBaja], [UBaja]) VALUES (9, 6, N'2012011', CAST(0x0000A04B00000000 AS DateTime), CAST(0x0000A05B00000000 AS DateTime), 1, NULL, NULL)
INSERT [dbo].[Poliza] ([IdPoliza], [IdPropiedad], [NPoliza], [FechaRenovacion], [FechaAlta], [UAlta], [FechaBaja], [UBaja]) VALUES (10, 9, N'2012020', CAST(0x00009FF100000000 AS DateTime), CAST(0x0000A05B00000000 AS DateTime), 1, NULL, NULL)
INSERT [dbo].[Poliza] ([IdPoliza], [IdPropiedad], [NPoliza], [FechaRenovacion], [FechaAlta], [UAlta], [FechaBaja], [UBaja]) VALUES (11, 10, N'2012015', CAST(0x0000A0A300000000 AS DateTime), CAST(0x0000A05B00000000 AS DateTime), 1, NULL, NULL)
SET IDENTITY_INSERT [dbo].[Poliza] OFF
/****** Object:  View [dbo].[vPropiedadPoliza]    Script Date: 06/13/2012 14:20:08 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE VIEW [dbo].[vPropiedadPoliza]
AS
SELECT     TOP (100) PERCENT r.IdPropiedad, r.IdCliente, r.Calle + ' ' + CAST(r.Numero AS varchar(10)) + ', ' + CAST(r.Piso AS varchar(10)) 
                      + ', ' + r.Letra + ', ' + r.CP + ', ' + r.Localidad + ', ' + o.Nombre AS DescPropiedad, p.IdPoliza, p.NPoliza, p.FechaRenovacion, p.FechaAlta, p.UAlta, p.FechaBaja, 
                      p.UBaja
FROM         dbo.Poliza AS p INNER JOIN
                      dbo.Propiedad AS r ON p.IdPropiedad = r.IdPropiedad INNER JOIN
                      dbo.Provincia AS o ON r.IdProvincia = o.IdProvincia
ORDER BY r.IdCliente, o.Nombre, r.Localidad
GO
EXEC sys.sp_addextendedproperty @name=N'MS_DiagramPane1', @value=N'[0E232FF0-B466-11cf-A24F-00AA00A3EFFF, 1.00]
Begin DesignProperties = 
   Begin PaneConfigurations = 
      Begin PaneConfiguration = 0
         NumPanes = 4
         Configuration = "(H (1[40] 4[20] 2[20] 3) )"
      End
      Begin PaneConfiguration = 1
         NumPanes = 3
         Configuration = "(H (1 [50] 4 [25] 3))"
      End
      Begin PaneConfiguration = 2
         NumPanes = 3
         Configuration = "(H (1 [50] 2 [25] 3))"
      End
      Begin PaneConfiguration = 3
         NumPanes = 3
         Configuration = "(H (4 [30] 2 [40] 3))"
      End
      Begin PaneConfiguration = 4
         NumPanes = 2
         Configuration = "(H (1 [56] 3))"
      End
      Begin PaneConfiguration = 5
         NumPanes = 2
         Configuration = "(H (2 [66] 3))"
      End
      Begin PaneConfiguration = 6
         NumPanes = 2
         Configuration = "(H (4 [50] 3))"
      End
      Begin PaneConfiguration = 7
         NumPanes = 1
         Configuration = "(V (3))"
      End
      Begin PaneConfiguration = 8
         NumPanes = 3
         Configuration = "(H (1[56] 4[18] 2) )"
      End
      Begin PaneConfiguration = 9
         NumPanes = 2
         Configuration = "(H (1 [75] 4))"
      End
      Begin PaneConfiguration = 10
         NumPanes = 2
         Configuration = "(H (1[66] 2) )"
      End
      Begin PaneConfiguration = 11
         NumPanes = 2
         Configuration = "(H (4 [60] 2))"
      End
      Begin PaneConfiguration = 12
         NumPanes = 1
         Configuration = "(H (1) )"
      End
      Begin PaneConfiguration = 13
         NumPanes = 1
         Configuration = "(V (4))"
      End
      Begin PaneConfiguration = 14
         NumPanes = 1
         Configuration = "(V (2))"
      End
      ActivePaneConfig = 0
   End
   Begin DiagramPane = 
      Begin Origin = 
         Top = 0
         Left = 0
      End
      Begin Tables = 
         Begin Table = "p"
            Begin Extent = 
               Top = 6
               Left = 38
               Bottom = 125
               Right = 236
            End
            DisplayFlags = 280
            TopColumn = 0
         End
         Begin Table = "r"
            Begin Extent = 
               Top = 6
               Left = 274
               Bottom = 125
               Right = 472
            End
            DisplayFlags = 280
            TopColumn = 0
         End
         Begin Table = "o"
            Begin Extent = 
               Top = 6
               Left = 510
               Bottom = 95
               Right = 708
            End
            DisplayFlags = 280
            TopColumn = 0
         End
      End
   End
   Begin SQLPane = 
   End
   Begin DataPane = 
      Begin ParameterDefaults = ""
      End
   End
   Begin CriteriaPane = 
      Begin ColumnWidths = 11
         Column = 1440
         Alias = 900
         Table = 1170
         Output = 720
         Append = 1400
         NewValue = 1170
         SortType = 1350
         SortOrder = 1410
         GroupBy = 1350
         Filter = 1350
         Or = 1350
         Or = 1350
         Or = 1350
      End
   End
End
' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'VIEW',@level1name=N'vPropiedadPoliza'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_DiagramPaneCount', @value=1 , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'VIEW',@level1name=N'vPropiedadPoliza'
GO
/****** Object:  Table [dbo].[OrdenTrabajo]    Script Date: 06/13/2012 14:20:08 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
CREATE TABLE [dbo].[OrdenTrabajo](
	[IdOrdenTrabajo] [int] IDENTITY(1,1) NOT NULL,
	[IdPoliza] [int] NOT NULL,
	[IdGestor] [int] NOT NULL,
	[IdPerito] [int] NULL,
	[IdEstado] [int] NOT NULL,
	[IdTipoSiniestro] [int] NOT NULL,
	[FechaSiniestro] [datetime] NOT NULL,
	[FechaValoracion] [datetime] NULL,
	[Aceptada] [tinyint] NOT NULL,
	[Descripcion] [varchar](255) NULL,
 CONSTRAINT [PK_OrdenTrabajo] PRIMARY KEY CLUSTERED 
(
	[IdOrdenTrabajo] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
SET ANSI_PADDING OFF
GO
CREATE NONCLUSTERED INDEX [IX_FK_Ordenes] ON [dbo].[OrdenTrabajo] 
(
	[IdGestor] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, SORT_IN_TEMPDB = OFF, IGNORE_DUP_KEY = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
GO
CREATE NONCLUSTERED INDEX [IX_FK_OrdenTrabajo_Poliza] ON [dbo].[OrdenTrabajo] 
(
	[IdPoliza] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, SORT_IN_TEMPDB = OFF, IGNORE_DUP_KEY = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
GO
CREATE NONCLUSTERED INDEX [IX_FK_OrdenTrabajo_TipoSiniestro] ON [dbo].[OrdenTrabajo] 
(
	[IdTipoSiniestro] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, SORT_IN_TEMPDB = OFF, IGNORE_DUP_KEY = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
GO
CREATE NONCLUSTERED INDEX [IX_FK_PeritoOrdenTrabajo] ON [dbo].[OrdenTrabajo] 
(
	[IdPerito] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, SORT_IN_TEMPDB = OFF, IGNORE_DUP_KEY = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
GO
SET IDENTITY_INSERT [dbo].[OrdenTrabajo] ON
INSERT [dbo].[OrdenTrabajo] ([IdOrdenTrabajo], [IdPoliza], [IdGestor], [IdPerito], [IdEstado], [IdTipoSiniestro], [FechaSiniestro], [FechaValoracion], [Aceptada], [Descripcion]) VALUES (4, 2, 1, 3, 4, 1, CAST(0x0000A04400000000 AS DateTime), CAST(0x0000A05A00000000 AS DateTime), 1, N'se trata de...')
INSERT [dbo].[OrdenTrabajo] ([IdOrdenTrabajo], [IdPoliza], [IdGestor], [IdPerito], [IdEstado], [IdTipoSiniestro], [FechaSiniestro], [FechaValoracion], [Aceptada], [Descripcion]) VALUES (5, 1, 1, 3, 4, 2, CAST(0x0000A04C00000000 AS DateTime), CAST(0x0000A05B00000000 AS DateTime), 1, N'Daos en parquet')
INSERT [dbo].[OrdenTrabajo] ([IdOrdenTrabajo], [IdPoliza], [IdGestor], [IdPerito], [IdEstado], [IdTipoSiniestro], [FechaSiniestro], [FechaValoracion], [Aceptada], [Descripcion]) VALUES (7, 6, 1, 3, 4, 3, CAST(0x0000A05200000000 AS DateTime), CAST(0x0000A05B00000000 AS DateTime), 1, N'presenta rotura')
INSERT [dbo].[OrdenTrabajo] ([IdOrdenTrabajo], [IdPoliza], [IdGestor], [IdPerito], [IdEstado], [IdTipoSiniestro], [FechaSiniestro], [FechaValoracion], [Aceptada], [Descripcion]) VALUES (9, 8, 1, 3, 4, 3, CAST(0x0000A05500000000 AS DateTime), CAST(0x0000A05F00000000 AS DateTime), 1, N'las deficiencias...')
INSERT [dbo].[OrdenTrabajo] ([IdOrdenTrabajo], [IdPoliza], [IdGestor], [IdPerito], [IdEstado], [IdTipoSiniestro], [FechaSiniestro], [FechaValoracion], [Aceptada], [Descripcion]) VALUES (10, 11, 1, 3, 3, 1, CAST(0x0000A05800000000 AS DateTime), NULL, 0, NULL)
INSERT [dbo].[OrdenTrabajo] ([IdOrdenTrabajo], [IdPoliza], [IdGestor], [IdPerito], [IdEstado], [IdTipoSiniestro], [FechaSiniestro], [FechaValoracion], [Aceptada], [Descripcion]) VALUES (11, 3, 1, 5, 2, 2, CAST(0x0000A05800000000 AS DateTime), NULL, 0, NULL)
INSERT [dbo].[OrdenTrabajo] ([IdOrdenTrabajo], [IdPoliza], [IdGestor], [IdPerito], [IdEstado], [IdTipoSiniestro], [FechaSiniestro], [FechaValoracion], [Aceptada], [Descripcion]) VALUES (12, 10, 1, 5, 2, 4, CAST(0x0000A05B00000000 AS DateTime), NULL, 0, NULL)
INSERT [dbo].[OrdenTrabajo] ([IdOrdenTrabajo], [IdPoliza], [IdGestor], [IdPerito], [IdEstado], [IdTipoSiniestro], [FechaSiniestro], [FechaValoracion], [Aceptada], [Descripcion]) VALUES (13, 6, 1, 5, 2, 3, CAST(0x0000A05A00000000 AS DateTime), NULL, 0, NULL)
SET IDENTITY_INSERT [dbo].[OrdenTrabajo] OFF
/****** Object:  Table [dbo].[Foto]    Script Date: 06/13/2012 14:20:08 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
CREATE TABLE [dbo].[Foto](
	[IdFoto] [int] IDENTITY(1,1) NOT NULL,
	[IdOrdenTrabajo] [int] NOT NULL,
	[Ruta] [varchar](255) NOT NULL,
 CONSTRAINT [PK_Foto] PRIMARY KEY CLUSTERED 
(
	[IdFoto] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY],
 CONSTRAINT [IX_Foto] UNIQUE NONCLUSTERED 
(
	[IdOrdenTrabajo] ASC,
	[Ruta] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
SET ANSI_PADDING OFF
GO
CREATE NONCLUSTERED INDEX [IX_FK_Foto_OrdenTrabajo] ON [dbo].[Foto] 
(
	[IdOrdenTrabajo] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, SORT_IN_TEMPDB = OFF, IGNORE_DUP_KEY = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
GO
SET IDENTITY_INSERT [dbo].[Foto] ON
INSERT [dbo].[Foto] ([IdFoto], [IdOrdenTrabajo], [Ruta]) VALUES (1, 4, N'foto_4.jpeg')
INSERT [dbo].[Foto] ([IdFoto], [IdOrdenTrabajo], [Ruta]) VALUES (2, 5, N'foto_5.jpeg')
INSERT [dbo].[Foto] ([IdFoto], [IdOrdenTrabajo], [Ruta]) VALUES (3, 7, N'foto_7.jpeg')
INSERT [dbo].[Foto] ([IdFoto], [IdOrdenTrabajo], [Ruta]) VALUES (12, 9, N'foto_9.jpeg')
SET IDENTITY_INSERT [dbo].[Foto] OFF
/****** Object:  View [dbo].[vRatioSiniestralidad]    Script Date: 06/13/2012 14:20:08 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE VIEW [dbo].[vRatioSiniestralidad]
AS
SELECT TOP (100) PERCENT
	O.Anno,
	OC.IdCliente,
	(c.Nombre + ' ' + c.Apellidos) As NombreCliente,
	(OC.TotalOrdenes*100/O.TotalOrdenes) As Ratio
FROM 
	(
		-- Num. de ordenes por ao
		SELECT 
			year(FechaSiniestro) as Anno,
			count(*) As TotalOrdenes
		FROM dbo.OrdenTrabajo AS o 
		WHERE 
			o.Aceptada>0 -- Nos interesan slo las que hayan sido valoradas	
		GROUP BY 	
			year(FechaSiniestro)
	)  O INNER JOIN  
	(
		-- Num. de ordenes por ao y cliente
		SELECT
			year(FechaSiniestro) as Anno,
			r.IdCliente,
			count(*) As TotalOrdenes
		FROM dbo.OrdenTrabajo AS o INNER JOIN
			dbo.Poliza AS p ON o.IdPoliza = p.IdPoliza INNER JOIN
			dbo.Propiedad AS r ON p.IdPropiedad = r.IdPropiedad 
		WHERE 
			o.Aceptada>0 -- Nos interesan slo las que hayan sido valoradas	
		GROUP BY 	
			year(FechaSiniestro), 
			r.IdCliente
	)  OC
	ON O.Anno = OC.Anno INNER JOIN
	dbo.Cliente AS c ON OC.IdCliente = c.IdCliente 
ORDER BY O.Anno , 
	OC.IdCliente,
	c.Nombre,
	c.Apellidos
GO
/****** Object:  View [dbo].[vRatioProductividad]    Script Date: 06/13/2012 14:20:08 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE VIEW [dbo].[vRatioProductividad] 
AS
SELECT TOP (100) PERCENT
	OP.Anno,
	OP.IdPerito,
	(U.Nombre + ' ' + U.Apellidos) As NombrePerito,
	(OP.TotalOrdenes*100/O.TotalOrdenes) As Ratio
FROM 
	(
		-- Num. de ordenes por ao
		SELECT 
			year(FechaSiniestro) as Anno,
			count(*) As TotalOrdenes
		FROM dbo.OrdenTrabajo AS o 
		WHERE 
			o.Aceptada>0 -- Nos interesan slo las que hayan sido valoradas	
		GROUP BY 	
			year(FechaSiniestro)
	)  O INNER JOIN  
	(
		-- Num. de ordenes por ao y perito
		SELECT
			year(FechaSiniestro) as Anno,
			IdUsuario as IdPerito,
			count(*) As TotalOrdenes
		FROM dbo.OrdenTrabajo INNER JOIN
		Usuario ON OrdenTrabajo.IdPerito=Usuario.IdUsuario
		WHERE 
			Aceptada>0 -- Nos interesan slo las que hayan sido valoradas	
		GROUP BY 	
			year(FechaSiniestro), 
			IdUsuario
	)  OP
	ON O.Anno = OP.Anno INNER JOIN
	dbo.Usuario AS U ON OP.IdPerito = U.IdUsuario
ORDER BY OP.Anno , 
	OP.IdPerito,
	U.Nombre,
	U.Apellidos
GO
/****** Object:  View [dbo].[OrdenTrabajoPhone]    Script Date: 06/13/2012 14:20:08 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE VIEW [dbo].[OrdenTrabajoPhone]
AS
SELECT TOP (100) PERCENT
	o.IdOrdenTrabajo,
	o.IdPerito,
	p.NPoliza,
	o.FechaSiniestro,
	o.FechaValoracion,
	o.Aceptada,
	o.Descripcion,
	o.IdEstado,
	t.Nombre as TipoSiniestro,
	(c.Nombre + ' ' + c.Apellidos) As Cliente,
	(r.Calle + ' ' + CAST(r.Numero AS varchar(10)) + ', ' + CAST(r.Piso AS varchar(10)) 
                      + ', ' + r.Letra + ', ' + r.CP + ', ' + r.Localidad) AS Direccion
FROM         dbo.OrdenTrabajo AS o INNER JOIN
                      dbo.Poliza AS p ON o.IdPoliza = p.IdPoliza INNER JOIN
                      dbo.TipoSiniestro AS t ON o.IdTipoSiniestro = t.IdTipoSiniestro LEFT JOIN                      
                      dbo.Propiedad AS r ON p.IdPropiedad = r.IdPropiedad INNER JOIN
                      dbo.Cliente AS c ON r.IdCliente = c.IdCliente 
ORDER BY o.FechaSiniestro
GO
/****** Object:  View [dbo].[vOrdenTrabajo]    Script Date: 06/13/2012 14:20:08 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE VIEW [dbo].[vOrdenTrabajo]
AS
SELECT TOP (100) PERCENT
	o.IdOrdenTrabajo,
	o.FechaSiniestro,
	o.FechaValoracion,
	o.Aceptada,
	o.Descripcion,
	o.IdEstado,
	o.IdGestor,
	o.IdPerito,
	o.IdPoliza,
	o.IdTipoSiniestro,
	t.Nombre as TipoSiniestro,
	c.IdCliente,
	e.Nombre as NombreEstado,
	(c.Nombre + ' ' + c.Apellidos) As NombreCliente,
	(perito.Nombre + ' ' + perito.Apellidos) As NombrePerito,
	(r.Calle + ' ' + CAST(r.Numero AS varchar(10)) + ', ' + CAST(r.Piso AS varchar(10)) 
                      + ', ' + r.Letra + ', ' + r.CP + ', ' + r.Localidad) AS DescPropiedad, 
	p.NPoliza,
	(select COUNT(*) from dbo.Foto as F where F.IdOrdenTrabajo=o.IdOrdenTrabajo) As NumFotos
FROM         dbo.OrdenTrabajo AS o INNER JOIN
                      dbo.Poliza AS p ON o.IdPoliza = p.IdPoliza INNER JOIN
                      dbo.TipoSiniestro AS t ON o.IdTipoSiniestro = t.IdTipoSiniestro LEFT JOIN                      
                      dbo.Usuario AS perito ON o.IdPerito = perito.IdUsuario INNER JOIN
                      dbo.EstadoOrden AS e ON o.IdEstado = e.IdEstado INNER JOIN
                      dbo.Propiedad AS r ON p.IdPropiedad = r.IdPropiedad INNER JOIN
                      dbo.Cliente AS c ON r.IdCliente = c.IdCliente 
ORDER BY o.FechaSiniestro
GO
/****** Object:  ForeignKey [FK_Propiedad_Cliente]    Script Date: 06/13/2012 14:20:08 ******/
ALTER TABLE [dbo].[Propiedad]  WITH CHECK ADD  CONSTRAINT [FK_Propiedad_Cliente] FOREIGN KEY([IdCliente])
REFERENCES [dbo].[Cliente] ([IdCliente])
GO
ALTER TABLE [dbo].[Propiedad] CHECK CONSTRAINT [FK_Propiedad_Cliente]
GO
/****** Object:  ForeignKey [FK_Propiedad_Provincia]    Script Date: 06/13/2012 14:20:08 ******/
ALTER TABLE [dbo].[Propiedad]  WITH CHECK ADD  CONSTRAINT [FK_Propiedad_Provincia] FOREIGN KEY([IdProvincia])
REFERENCES [dbo].[Provincia] ([IdProvincia])
GO
ALTER TABLE [dbo].[Propiedad] CHECK CONSTRAINT [FK_Propiedad_Provincia]
GO
/****** Object:  ForeignKey [FK_Poliza_Propiedad]    Script Date: 06/13/2012 14:20:08 ******/
ALTER TABLE [dbo].[Poliza]  WITH CHECK ADD  CONSTRAINT [FK_Poliza_Propiedad] FOREIGN KEY([IdPropiedad])
REFERENCES [dbo].[Propiedad] ([IdPropiedad])
GO
ALTER TABLE [dbo].[Poliza] CHECK CONSTRAINT [FK_Poliza_Propiedad]
GO
/****** Object:  ForeignKey [FK_Ordenes]    Script Date: 06/13/2012 14:20:08 ******/
ALTER TABLE [dbo].[OrdenTrabajo]  WITH CHECK ADD  CONSTRAINT [FK_Ordenes] FOREIGN KEY([IdGestor])
REFERENCES [dbo].[Usuario] ([IdUsuario])
GO
ALTER TABLE [dbo].[OrdenTrabajo] CHECK CONSTRAINT [FK_Ordenes]
GO
/****** Object:  ForeignKey [FK_OrdenTrabajo_EstadoOrden]    Script Date: 06/13/2012 14:20:08 ******/
ALTER TABLE [dbo].[OrdenTrabajo]  WITH CHECK ADD  CONSTRAINT [FK_OrdenTrabajo_EstadoOrden] FOREIGN KEY([IdEstado])
REFERENCES [dbo].[EstadoOrden] ([IdEstado])
GO
ALTER TABLE [dbo].[OrdenTrabajo] CHECK CONSTRAINT [FK_OrdenTrabajo_EstadoOrden]
GO
/****** Object:  ForeignKey [FK_OrdenTrabajo_Poliza]    Script Date: 06/13/2012 14:20:08 ******/
ALTER TABLE [dbo].[OrdenTrabajo]  WITH CHECK ADD  CONSTRAINT [FK_OrdenTrabajo_Poliza] FOREIGN KEY([IdPoliza])
REFERENCES [dbo].[Poliza] ([IdPoliza])
GO
ALTER TABLE [dbo].[OrdenTrabajo] CHECK CONSTRAINT [FK_OrdenTrabajo_Poliza]
GO
/****** Object:  ForeignKey [FK_OrdenTrabajo_TipoSiniestro]    Script Date: 06/13/2012 14:20:08 ******/
ALTER TABLE [dbo].[OrdenTrabajo]  WITH CHECK ADD  CONSTRAINT [FK_OrdenTrabajo_TipoSiniestro] FOREIGN KEY([IdTipoSiniestro])
REFERENCES [dbo].[TipoSiniestro] ([IdTipoSiniestro])
GO
ALTER TABLE [dbo].[OrdenTrabajo] CHECK CONSTRAINT [FK_OrdenTrabajo_TipoSiniestro]
GO
/****** Object:  ForeignKey [FK_PeritoOrdenTrabajo]    Script Date: 06/13/2012 14:20:08 ******/
ALTER TABLE [dbo].[OrdenTrabajo]  WITH CHECK ADD  CONSTRAINT [FK_PeritoOrdenTrabajo] FOREIGN KEY([IdPerito])
REFERENCES [dbo].[Usuario] ([IdUsuario])
GO
ALTER TABLE [dbo].[OrdenTrabajo] CHECK CONSTRAINT [FK_PeritoOrdenTrabajo]
GO
/****** Object:  ForeignKey [FK_Foto_OrdenTrabajo]    Script Date: 06/13/2012 14:20:08 ******/
ALTER TABLE [dbo].[Foto]  WITH CHECK ADD  CONSTRAINT [FK_Foto_OrdenTrabajo] FOREIGN KEY([IdOrdenTrabajo])
REFERENCES [dbo].[OrdenTrabajo] ([IdOrdenTrabajo])
GO
ALTER TABLE [dbo].[Foto] CHECK CONSTRAINT [FK_Foto_OrdenTrabajo]
GO
